> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auth configuration

> Retrieve the authentication configuration settings.



## OpenAPI

````yaml openapi/integration.json GET /auth-config
openapi: 3.0.3
info:
  title: Nudj Integration API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/integration
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /auth-config:
    get:
      tags:
        - Auth Config
      summary: Get auth configuration
      description: Retrieve the authentication configuration settings.
      operationId: getAuthConfig
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthConfig'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    AuthConfig:
      type: object
      properties:
        enabledProviders:
          type: array
          items:
            type: string
            enum:
              - 42-school
              - api-auth-link
              - api-token-link
              - apple
              - asgardeo
              - atlassian
              - auth0
              - authentik
              - azure-ad-b2c
              - azure-ad
              - azure-devops
              - battlenet
              - beyondidentity
              - box
              - boxyhq-saml
              - bungie
              - click-up
              - cognito
              - coinbase
              - descope
              - discord
              - dribbble
              - dropbox
              - duende-identity-server6
              - email
              - eveonline
              - facebook
              - faceit
              - foursquare
              - freshbooks
              - fusionauth
              - github
              - gitlab
              - google
              - hubspot
              - identity-server4
              - instagram
              - kakao
              - keycloak
              - line
              - linkedin
              - mailchimp
              - mailru
              - mastodon
              - mattermost
              - medium
              - naver
              - netlify
              - notion
              - okta
              - onelogin
              - organisation-oidc
              - osso
              - osu
              - passage
              - patreon
              - pinterest
              - pipedrive
              - reddit
              - salesforce
              - slack
              - spotify
              - strava
              - tiktok
              - todoist
              - trakt
              - twitch
              - twitter
              - united-effects
              - vk
              - wikimedia
              - wordpress
              - workos
              - yandex
              - youtube
              - zitadel
              - zoho
              - zoom
          description: List of enabled authentication providers
        oidcProviders:
          type: array
          items:
            $ref: '#/components/schemas/AuthConfigOidcProvider'
          description: OIDC provider configurations
      required:
        - enabledProviders
        - oidcProviders
      title: Auth Configuration
      description: Authentication configuration settings
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    AuthConfigOidcProvider:
      type: object
      properties:
        id:
          type: string
          description: The ID of the OIDC provider
        name:
          type: string
          description: The name of the OIDC provider
      required:
        - id
        - name
      title: Auth Configuration OIDC Provider
      description: Authentication configuration OIDC provider
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````